{% set versions = ['3.0', '3.1', '3.2', '3.3-rc'] %}
{% set variants = ["jammy", "slim-jammy"] %}

include:
{% for version in versions %}
  {% for variant in variants %}
  - project: 'nirvati/ci'
    file: '/docker.yml'
    inputs:
      username: $HARBOR_USERNAME
      password: $HARBOR_PASSWORD
      registry: $HARBOR_HOST
      project: library
      container: $CI_PROJECT_NAME
      tag: {{version}}-{{variant}}
      suffix: {{version}}-{{variant}}
      dir: ./{{version}}/{{variant}}
  {% endfor %}
{% endfor %}

stages:
- docker-build
- docker-deploy
